# $Revision: 1.18 $, $Date: 2004/04/26 14:42:15 $
Summary:	XML/SGML DocBook DTD 4.1
Summary(pl):	XML/SGML DocBook DTD 4.1
%define ver	4.1
%define sver	41
Name:		docbook-dtd%{sver}-xml
Version:	1.0
Release:	13
Vendor:		OASIS
License:	Free
Group:		Applications/Publishing/XML
Source0:	http://www.oasis-open.org/docbook/xml/%{ver}/docbkx%{sver}.zip
# Source0-md5:	90afec959a2a8c8636b121c198a30de8
Patch0:		%{name}-dbcentx.patch
URL:		http://www.oasis-open.org/docbook/
PreReq:		sgml-common >= 0.5
Requires(post,preun):	/usr/bin/install-catalog
BuildRequires:	unzip
BuildRequires:	rpm-build >= 4.0.2-94
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%define dtd_path		%{_datadir}/sgml/docbook/xml-dtd-%{ver}
%define	xmlcat_file		%{dtd_path}/catalog.xml
%define	sgmlcat_file	%{dtd_path}/catalog

%description
DocBook is an XML/SGML vocabulary particularly well suited to books and papers
about computer hardware and software (though it is by no means limited to only
these applications).

%description -l pl
DocBook DTD jest zestawem definicji dokumentw XML/SGML przeznaczonych do
tworzenia dokumentacji technicznej. Stosowany jest do pisania podrcznikw
systemowych, instrukcji jak i wielu innych ciekawych rzeczy.

%prep
%setup -q -c
chmod -R a+rX *
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dtd_path}

install *.dtd *.mod $RPM_BUILD_ROOT%{dtd_path}
install *.ent $RPM_BUILD_ROOT%{dtd_path} || :
cp -a ent $RPM_BUILD_ROOT%{dtd_path}

%docbook_sgmlcat_fix $RPM_BUILD_ROOT%{sgmlcat_file} %{ver}

# install catalog (but filter out ISO entities)
#grep -v 'ISO ' docbook.cat >> $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/xml-dtd-%{ver}/catalog
cat docbook.cat >> $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/xml-dtd-%{ver}/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Update the centralized catalog corresponding to this version of the DTD
/usr/bin/install-catalog --add /etc/sgml/xml-docbook-%{ver}.cat /usr/share/sgml/docbook/xml-dtd-%{ver}/catalog > /dev/null

%preun
/usr/bin/install-catalog --remove /etc/sgml/xml-docbook-%{ver}.cat /usr/share/sgml/docbook/xml-dtd-%{ver}/catalog > /dev/null

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{_datadir}/sgml/docbook/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-dtd41-xml.spec,v $
Revision 1.18  2004/04/26 14:42:15  adamg
- release 13 for Ac (12 is for Ra)

Revision 1.17  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/09/30 23:28:06  ankry
- BR: rpm-build >= 4.0.2-94 (for macro definitions)
- s/sgmlcat_fix/docbook_sgmlcat_fix/ - this macro is really defined

Revision 1.13  2002/09/27 08:10:44  wrobell
- summaries and descriptions improvements
- prep section simplifacations
- use sgml macros
- rel. 12

Revision 1.12  2002/09/11 09:12:43  qboosh
- more requires, new %%doc; release 11

Revision 1.11  2002/04/25 16:12:53  arturs
fixed a small typo

Revision 1.10  2002/02/23 14:49:18  kloczek
- release 10: merge dbcentx patch from rawhide.

Revision 1.9  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/22 10:58:05  klakier
- updated opensp hack

Revision 1.6  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/02/25 12:00:08  klakier
- rel 9

Revision 1.4  2001/02/24 16:47:04  klakier
- added catalog hacks for opensp

Revision 1.3  2001/02/21 23:24:04  kloczek
- release 8 (for allow upgrade from RH),
- unzip added to BuildRequires.

Revision 1.2  2001/02/15 15:10:39  klakier
- rel 1

Revision 1.1  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages
